> ## Documentation Index
> Fetch the complete documentation index at: https://cal.id/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an event type

> Get event type by ID for the authenticated user



## OpenAPI

````yaml /openapi.json get /event-types/{id}
openapi: 3.1.0
info:
  title: Cal ID API
  description: >-
    API documentation for external developers integrating with Cal ID. This
    documentation is auto-generated from our OpenAPI specification and includes
    details on all available endpoints, request/response schemas, and
    authentication methods.


    Authentication is required for all endpoints and can be done using API key
    generated from the Cal ID dashboard under the `settings/developer/api-keys`
    page. Use the Authorization header with the Bearer scheme to authenticate
    your requests.


    Example:

    - API Key: `Authorization: Bearer calid_xxxxx`


    Note: To manage Team's resources use the Team's owner/admin API key
  version: 1.0.0
  contact:
    name: API Support
    email: support@cal.id
    url: https://cal.id
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.cal.id
    description: 'Production server '
security:
  - bearerAuth: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Users
    description: User management endpoints
  - name: Event Types
    description: Event type management endpoints
  - name: Teams
    description: Team management endpoints
  - name: Team Event Types
    description: Event type management endpoints for teams
  - name: Team Memberships
    description: Membership management endpoints for teams
  - name: Team Schedules
    description: Schedule management endpoints for teams
  - name: Availability
    description: User availability management endpoints
  - name: Schedule
    description: User schedule management endpoints
  - name: Slots
    description: Available slots retrieval endpoints
  - name: Booking
    description: Event booking endpoints
paths:
  /event-types/{id}:
    get:
      tags:
        - Event Types
      summary: Get an event type
      description: Get event type by ID for the authenticated user
      operationId: get_event_type
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            example: 42
          in: path
          name: id
          required: true
          description: Numeric event type identifier.
      responses:
        '200':
          description: Event type details retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                      title:
                        type: string
                      slug:
                        type: string
                      description:
                        type:
                          - 'null'
                          - string
                      interfaceLanguage:
                        type:
                          - 'null'
                          - string
                      position:
                        type: number
                      locations:
                        anyOf:
                          - {}
                          - type: 'null'
                      bookingFields:
                        anyOf:
                          - {}
                          - type: 'null'
                      length:
                        type: number
                      offsetStart:
                        type: number
                      hidden:
                        type: boolean
                      userId:
                        type:
                          - 'null'
                          - number
                      teamId:
                        type:
                          - 'null'
                          - number
                      profileId:
                        type:
                          - 'null'
                          - number
                      timeZone:
                        type:
                          - 'null'
                          - string
                      periodType:
                        type: string
                      periodStartDate:
                        anyOf:
                          - type: string
                            format: date-time
                          - type: 'null'
                      periodEndDate:
                        anyOf:
                          - type: string
                            format: date-time
                          - type: 'null'
                      periodDays:
                        type:
                          - 'null'
                          - number
                      periodCountCalendarDays:
                        type:
                          - 'null'
                          - boolean
                      lockTimeZoneToggleOnBookingPage:
                        type: boolean
                      lockedTimeZone:
                        type:
                          - 'null'
                          - string
                      requiresConfirmation:
                        type: boolean
                      requiresConfirmationWillBlockSlot:
                        type: boolean
                      requiresConfirmationForFreeEmail:
                        type: boolean
                      requiresBookerEmailVerification:
                        type: boolean
                      recurringEvent:
                        anyOf:
                          - {}
                          - type: 'null'
                      disableGuests:
                        type: boolean
                      hideCalendarNotes:
                        type: boolean
                      hideCalendarEventDetails:
                        type: boolean
                      minimumBookingNotice:
                        type: number
                      beforeEventBuffer:
                        type: number
                      afterEventBuffer:
                        type: number
                      seatsPerTimeSlot:
                        type:
                          - 'null'
                          - number
                      onlyShowFirstAvailableSlot:
                        type: boolean
                      disableCancelling:
                        type:
                          - 'null'
                          - boolean
                      disableRescheduling:
                        type:
                          - 'null'
                          - boolean
                      disableHostCancelling:
                        type:
                          - 'null'
                          - boolean
                      disableHostRescheduling:
                        type:
                          - 'null'
                          - boolean
                      seatsShowAttendees:
                        type:
                          - 'null'
                          - boolean
                      seatsShowAvailabilityCount:
                        type:
                          - 'null'
                          - boolean
                      schedulingType:
                        type:
                          - 'null'
                          - string
                      scheduleId:
                        type:
                          - 'null'
                          - number
                      price:
                        type: number
                      currency:
                        type: string
                      slotInterval:
                        type:
                          - 'null'
                          - number
                      metadata:
                        anyOf:
                          - {}
                          - type: 'null'
                      successRedirectUrl:
                        type:
                          - 'null'
                          - string
                      forwardParamsSuccessRedirect:
                        type:
                          - 'null'
                          - boolean
                      bookingLimits:
                        anyOf:
                          - {}
                          - type: 'null'
                      durationLimits:
                        anyOf:
                          - {}
                          - type: 'null'
                      isInstantEvent:
                        type: boolean
                      instantMeetingExpiryTimeOffsetInSeconds:
                        type: number
                      assignAllTeamMembers:
                        type: boolean
                      assignRRMembersUsingSegment:
                        type: boolean
                      rrSegmentQueryValue:
                        anyOf:
                          - {}
                          - type: 'null'
                      useEventTypeDestinationCalendarEmail:
                        type: boolean
                      isRRWeightsEnabled:
                        type: boolean
                      maxLeadThreshold:
                        type:
                          - 'null'
                          - number
                      includeNoShowInRRCalculation:
                        type: boolean
                      allowReschedulingPastBookings:
                        type: boolean
                      hideOrganizerEmail:
                        type: boolean
                      maxActiveBookingsPerBooker:
                        type:
                          - 'null'
                          - number
                      maxActiveBookingPerBookerOfferReschedule:
                        type: boolean
                      customReplyToEmail:
                        type:
                          - 'null'
                          - string
                      eventTypeColor:
                        anyOf:
                          - {}
                          - type: 'null'
                      rescheduleWithSameRoundRobinHost:
                        type: boolean
                      secondaryEmailId:
                        type:
                          - 'null'
                          - number
                      useBookerTimezone:
                        type: boolean
                      restrictionScheduleId:
                        type:
                          - 'null'
                          - number
                      createdDate:
                        anyOf:
                          - type: string
                            format: date-time
                          - type: 'null'
                      updatedDate:
                        anyOf:
                          - type: string
                            format: date-time
                          - type: 'null'
                    required:
                      - id
                      - title
                      - slug
                      - description
                      - interfaceLanguage
                      - position
                      - length
                      - offsetStart
                      - hidden
                      - userId
                      - teamId
                      - profileId
                      - timeZone
                      - periodType
                      - periodStartDate
                      - periodEndDate
                      - periodDays
                      - periodCountCalendarDays
                      - lockTimeZoneToggleOnBookingPage
                      - lockedTimeZone
                      - requiresConfirmation
                      - requiresConfirmationWillBlockSlot
                      - requiresConfirmationForFreeEmail
                      - requiresBookerEmailVerification
                      - disableGuests
                      - hideCalendarNotes
                      - hideCalendarEventDetails
                      - minimumBookingNotice
                      - beforeEventBuffer
                      - afterEventBuffer
                      - seatsPerTimeSlot
                      - onlyShowFirstAvailableSlot
                      - disableCancelling
                      - disableRescheduling
                      - disableHostCancelling
                      - disableHostRescheduling
                      - seatsShowAttendees
                      - seatsShowAvailabilityCount
                      - schedulingType
                      - scheduleId
                      - price
                      - currency
                      - slotInterval
                      - successRedirectUrl
                      - forwardParamsSuccessRedirect
                      - isInstantEvent
                      - instantMeetingExpiryTimeOffsetInSeconds
                      - assignAllTeamMembers
                      - assignRRMembersUsingSegment
                      - useEventTypeDestinationCalendarEmail
                      - isRRWeightsEnabled
                      - maxLeadThreshold
                      - includeNoShowInRRCalculation
                      - allowReschedulingPastBookings
                      - hideOrganizerEmail
                      - maxActiveBookingsPerBooker
                      - maxActiveBookingPerBookerOfferReschedule
                      - customReplyToEmail
                      - rescheduleWithSameRoundRobinHost
                      - secondaryEmailId
                      - useBookerTimezone
                      - restrictionScheduleId
                    additionalProperties: false
                  message:
                    type: string
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          page:
                            type: number
                          limit:
                            type: number
                          total:
                            type: number
                          totalPages:
                            type: number
                        required:
                          - page
                          - limit
                          - total
                          - totalPages
                        additionalProperties: false
                    additionalProperties: {}
                required:
                  - success
                additionalProperties: false
                description: Event type details retrieved
        '400':
          description: Invalid event type ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Invalid event type ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Unauthorized
        '404':
          description: Event type not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Event type not found
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Validation failed
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT | API Key
      description: |-

        Use the Authorization header with Bearer scheme.

        Examples:
        - API Key: Authorization: Bearer calid_xxxxx
            

````

## Related topics

- [List event types](/docs/api-reference/event-types/list-event-types.md)
- [List team event types](/docs/api-reference/team-event-types/list-team-event-types.md)
- [Get a team event type](/docs/api-reference/team-event-types/get-a-team-event-type.md)
- [Manage event types](/docs/developers/guides/manage-event-types.md)
- [How to Get Notified on Slack When an Event is Booked?](/docs/apps/slack.md)
